(function () {
  var help = (function () {
    "use strict";

    var global = tinymce.util.Tools.resolve("tinymce.PluginManager");

    var global$1 = tinymce.util.Tools.resolve("tinymce.util.I18n");

    var global$3 = tinymce.util.Tools.resolve("tinymce.EditorManager");

    var makeRow = function () {
      return [
        {
          type: "container",
          html:
            global$1.translate(["Version 0.6"]) +
            global$1.translate([
              '</br></br><b>Please note that ColloCaid only offers collocation suggestions. It does not correct text.</b><br><br>To save what you have written in ColloCaid, you have two options:<br><ul><li>Copy (Control C) and paste (Control V) your text to your regular editor.</li><li>In the File menu, click on "Download as .txt"</li></ul>',
            ]) +
            '</br></br><i style="font-size: smaller;">' +
            global$1.translate([
              "Disclaimer: This is a prototype system for testing purposes.",
            ]) +
            "</br>" +
            global$1.translate([
              "The lexical data underlying it is copyright",
            ]) +
            "</i>",
        },
        {
          type: "spacer",
          flex: 1,
        },
      ];
    };
    var $_5ah5zubfjh9pyezd = { makeRow: makeRow };

    var open = function (editor, pluginUrl) {
      return function () {
        editor.windowManager.open({
          title: "About",
          bodyType: "tabpanel",
          layout: "flex",
          buttons: $_5ah5zubfjh9pyezd.makeRow(),
          onPostRender: function () {
            var title = this.getEl("title");
            title.innerHTML =
              '<img src="' +
              pluginUrl +
              '/img/logo.png" alt="Collcaid Logo" style="display: inline-block; width: 200px; height: 50px">';
          },
        });
      };
    };
    var $_8fcmk0b0jh9pyeyd = { open: open };

    var register = function (editor, pluginUrl) {
      editor.addCommand("mceAbout", $_8fcmk0b0jh9pyeyd.open(editor, pluginUrl));
    };
    var $_33cs2azjh9pyeyc = { register: register };

    var register$1 = function (editor, pluginUrl) {
      editor.addButton("about", {
        icon: "about",
        onclick: $_8fcmk0b0jh9pyeyd.open(editor, pluginUrl),
      });
      editor.addMenuItem("about", {
        text: "About",
        icon: "about",
        context: "about",
        onclick: $_8fcmk0b0jh9pyeyd.open(editor, pluginUrl),
      });
    };
    var $_9jyrbmbhjh9pyezf = { register: register$1 };

    global.add("about", function (editor, pluginUrl) {
      $_9jyrbmbhjh9pyezf.register(editor, pluginUrl);
      $_33cs2azjh9pyeyc.register(editor, pluginUrl);
      editor.shortcuts.add("Alt+0", "Open about dialog", "mceAbout");
    });
    function Plugin() {}

    return Plugin;
  })();
})();
