(function () {
var code = (function () {
  'use strict';

  var global = tinymce.util.Tools.resolve('tinymce.PluginManager');

  var global$1 = tinymce.util.Tools.resolve('tinymce.dom.DOMUtils');

  var getMinWidth = function (editor) {
    return editor.getParam('code_dialog_width', 600);
  };
  var getMinHeight = function (editor) {
    return editor.getParam('code_dialog_height', Math.min(global$1.DOM.getViewPort().h - 200, 500));
  };
  var $_bzjwyi9ojh9pyeu3 = {
    getMinWidth: getMinWidth,
    getMinHeight: getMinHeight
  };

  var setContent = function (editor, html) {
    editor.focus();
    editor.undoManager.transact(function () {
      editor.setContent(html);
    });
    editor.selection.setCursorLocation();
    editor.nodeChanged();
  };
  var getContent = function (editor) {
    return editor.getContent({ source_view: true });
  };
  var $_aikblz9qjh9pyeu4 = {
    setContent: setContent,
    getContent: getContent
  };

  var open = function (editor) {
    var minWidth = $_bzjwyi9ojh9pyeu3.getMinWidth(editor);
    var minHeight = $_bzjwyi9ojh9pyeu3.getMinHeight(editor);
    var win = editor.windowManager.open({
      title: 'Source code',
      body: {
        type: 'textbox',
        name: 'code',
        multiline: true,
        minWidth: minWidth,
        minHeight: minHeight,
        spellcheck: false,
        style: 'direction: ltr; text-align: left'
      },
      onSubmit: function (e) {
        $_aikblz9qjh9pyeu4.setContent(editor, e.data.code);
      }
    });
    win.find('#code').value($_aikblz9qjh9pyeu4.getContent(editor));
  };
  var $_9bpisg9njh9pyeu2 = { open: open };

  var register = function (editor) {
    editor.addCommand('mceCodeEditor', function () {
      $_9bpisg9njh9pyeu2.open(editor);
    });
  };
  var $_4o03a49mjh9pyeu0 = { register: register };

  var register$1 = function (editor) {
    editor.addButton('code', {
      icon: 'code',
      tooltip: 'Source code',
      onclick: function () {
        $_9bpisg9njh9pyeu2.open(editor);
      }
    });
    editor.addMenuItem('code', {
      icon: 'code',
      text: 'Source code',
      onclick: function () {
        $_9bpisg9njh9pyeu2.open(editor);
      }
    });
  };
  var $_98dzh89rjh9pyeu5 = { register: register$1 };

  global.add('code', function (editor) {
    $_4o03a49mjh9pyeu0.register(editor);
    $_98dzh89rjh9pyeu5.register(editor);
    return {};
  });
  function Plugin () {
  }

  return Plugin;

}());
})();
